org.bdgenomics.adam.cli

# FindReads

#### object FindReads extends ADAMCommandCompanion with Serializable

FindReads is an auxiliary command to CompareADAM -- whereas CompareADAM takes two ADAM files (which presumably contain the same reads, processed differently), joins them based on read-name, and computes aggregates of one or more metrics (BucketComparisons) across those joined reads -- FindReads performs the same join-and-metric-computation, but takes a second argument as well: a boolean condition on the value(s) of the metric(s) computed. FindReads then outputs just the names of the reads whose metric values(s) meet the given condition.

So, for example, CompareADAM might be used to find out that the same reads processed through two different pipelines are aligned to different locations 3% of the time.

FindReads would then allow you to output the names of those 3% of the reads which are aligned differently, using a filter expression like "positions!=0".

Linear Supertypes
Serializable, Serializable, ADAMCommandCompanion, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. FindReads
2. Serializable
3. Serializable
4. ADAMCommandCompanion
5. AnyRef
6. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### def apply(cmdLine: Array[String]): ADAMCommand

   Definition Classes
     FindReads → ADAMCommandCompanion

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### val commandDescription: String

   Definition Classes
     FindReads → ADAMCommandCompanion

10. #### val commandName: String

    Definition Classes
      FindReads → ADAMCommandCompanion

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### def main(cmdLine: Array[String]): Unit

    Definition Classes
      ADAMCommandCompanion

18. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### final def notify(): Unit

    Definition Classes
      AnyRef

20. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

21. #### def parseFilter(filterString: String): GeneratorFilter[Any]

    A 'filter' is a pair of a BucketComparisons value and a boolean condition on the values output by the comparison.

    A 'filter' is a pair of a BucketComparisons value and a boolean condition on the values output by the comparison. The BucketComparisons object is specified by name, and parsed by the findGenerator method in DefaultComparisons that maps strings to BucketComparisons objects.

    The boolean condition is specified by an operator { !=, =, <, > } and a value (which is an integer, floating point number, pair specified by the '(value,value)' notation, or boolean).

    For example, "positions!=0" would specify those reads whose corresponding distance between files was non-zero.

    Again, "dupemismatch=(1,0)" would specify those reads which are marked as a duplicate in the first file and _not_ in the second file.

    filterString

      A String conforming to the regex "[^^!=<>]+(!=|=|<|>).*"

    returns

      A GeneratorFilter object which contains both the BucketComparisons value and the filter condition.

22. #### def parseFilters(filters: String): GeneratorFilter[Any]

23. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

24. #### def toString(): String

    Definition Classes
      AnyRef → Any

25. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from ADAMCommandCompanion

### Inherited from AnyRef

### Inherited from Any

### Ungrouped